summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author CRTS <crts@gmx.net>2020-05-02 17:10:55 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-05-02 17:13:32 +0700
commit495edecaac772164bb3675d5bd13d6aa1a2602a9 (patch)
treebd80df0cd14521feb7079bbdb2dda3fab5a64677 /games
parentd64ca84a70448be988be793110209c15d1520529 (diff)
downloadslackbuilds-495edecaac772164bb3675d5bd13d6aa1a2602a9.tar.gz
slackbuilds-495edecaac772164bb3675d5bd13d6aa1a2602a9.tar.xz
games/fs-uae: Updated for version 3.0.3, moved from system.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/fs-uae/README4
-rw-r--r--games/fs-uae/doinst.sh10
-rw-r--r--games/fs-uae/fs-uae.SlackBuild96
-rw-r--r--games/fs-uae/fs-uae.info10
-rw-r--r--games/fs-uae/slack-desc19
5 files changed, 139 insertions, 0 deletions
diff --git a/games/fs-uae/README b/games/fs-uae/README
new file mode 100644
index 0000000000..c84fe274c5
--- /dev/null
+++ b/games/fs-uae/README
@@ -0,0 +1,4 @@
+FS-UAE focuses on emulating Amiga games using the accurate emulation code
+from WinUAE. It also has features to emulate a high-end Amiga with expansions.
+
+Note: Since version 2.3.x the FS-UAE Launcher is a separate package.
diff --git a/games/fs-uae/doinst.sh b/games/fs-uae/doinst.sh
new file mode 100644
index 0000000000..4a25de5e6f
--- /dev/null
+++ b/games/fs-uae/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/games/fs-uae/fs-uae.SlackBuild b/games/fs-uae/fs-uae.SlackBuild
new file mode 100644
index 0000000000..2e81c5931c
--- /dev/null
+++ b/games/fs-uae/fs-uae.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# SlackBuild script for "fs-uae".
+
+# Copyright 2020- CRTS <crts@gmx.net>
+# Copyright 2012-2016 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fs-uae
+VERSION=${VERSION:-3.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/fs-uae/fs-uae.info b/games/fs-uae/fs-uae.info
new file mode 100644
index 0000000000..3c34b4ce51
--- /dev/null
+++ b/games/fs-uae/fs-uae.info
@@ -0,0 +1,10 @@
+PRGNAM="fs-uae"
+VERSION="3.0.3"
+HOMEPAGE="https://fs-uae.net/"
+DOWNLOAD="https://fs-uae.net/stable/3.0.3/fs-uae-3.0.3.tar.gz"
+MD5SUM="9fee9fa028bd8ce8641dec7eb907470b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="SDL2 OpenAL libmpeg2"
+MAINTAINER="CRTS"
+EMAIL="crts@gmx.net"
diff --git a/games/fs-uae/slack-desc b/games/fs-uae/slack-desc
new file mode 100644
index 0000000000..bab0cb5292
--- /dev/null
+++ b/games/fs-uae/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fs-uae: fs-uae (Amiga Emulator)
+fs-uae:
+fs-uae: FS-UAE focuses on emulating Amiga games using the accurate emulation
+fs-uae: code from WinUAE. It also has features to emulate a high-end Amiga
+fs-uae: with expansions.
+fs-uae:
+fs-uae: Homepage: http://fs-uae.net/
+fs-uae:
+fs-uae:
+fs-uae:
+fs-uae: